<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.xhtml"><span>File&#160;List</span></a></li>
      <li class="current"><a href="globals.xhtml"><span>Globals</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="globals.xhtml"><span>All</span></a></li>
      <li><a href="globals_func.xhtml"><span>Functions</span></a></li>
      <li><a href="globals_vars.xhtml"><span>Variables</span></a></li>
      <li><a href="globals_type.xhtml"><span>Typedefs</span></a></li>
      <li><a href="globals_defs.xhtml"><span>Macros</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="globals.xhtml#index_a"><span>a</span></a></li>
      <li><a href="globals_b.xhtml#index_b"><span>b</span></a></li>
      <li class="current"><a href="globals_c.xhtml#index_c"><span>c</span></a></li>
      <li><a href="globals_d.xhtml#index_d"><span>d</span></a></li>
      <li><a href="globals_e.xhtml#index_e"><span>e</span></a></li>
      <li><a href="globals_f.xhtml#index_f"><span>f</span></a></li>
      <li><a href="globals_g.xhtml#index_g"><span>g</span></a></li>
      <li><a href="globals_h.xhtml#index_h"><span>h</span></a></li>
      <li><a href="globals_i.xhtml#index_i"><span>i</span></a></li>
      <li><a href="globals_k.xhtml#index_k"><span>k</span></a></li>
      <li><a href="globals_l.xhtml#index_l"><span>l</span></a></li>
      <li><a href="globals_m.xhtml#index_m"><span>m</span></a></li>
      <li><a href="globals_n.xhtml#index_n"><span>n</span></a></li>
      <li><a href="globals_o.xhtml#index_o"><span>o</span></a></li>
      <li><a href="globals_p.xhtml#index_p"><span>p</span></a></li>
      <li><a href="globals_r.xhtml#index_r"><span>r</span></a></li>
      <li><a href="globals_s.xhtml#index_s"><span>s</span></a></li>
      <li><a href="globals_t.xhtml#index_t"><span>t</span></a></li>
      <li><a href="globals_u.xhtml#index_u"><span>u</span></a></li>
      <li><a href="globals_v.xhtml#index_v"><span>v</span></a></li>
      <li><a href="globals_w.xhtml#index_w"><span>w</span></a></li>
      <li><a href="globals_x.xhtml#index_x"><span>x</span></a></li>
      <li><a href="globals_y.xhtml#index_y"><span>y</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('globals_c.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:</div>

<h3><a class="anchor" id="index_c"></a>- c -</h3><ul>
<li>calculate_avg_scale()
: <a class="el" href="pooling__layer_8cl.xhtml#a60440813daa769d486c5786d52b91340">pooling_layer.cl</a>
</li>
<li>channel_combine_NV()
: <a class="el" href="channel__combine_8cl.xhtml#a6eb00cba13d0cb12229e5ac18a1ef3c3">channel_combine.cl</a>
</li>
<li>channel_combine_RGB888()
: <a class="el" href="channel__combine_8cl.xhtml#a4059c118efa918cf5248381185411d59">channel_combine.cl</a>
</li>
<li>channel_combine_RGBA8888()
: <a class="el" href="channel__combine_8cl.xhtml#a98e381fa0dce5bd838990d03d8779246">channel_combine.cl</a>
</li>
<li>channel_combine_UYVY422()
: <a class="el" href="channel__combine_8cl.xhtml#a72eb5d0161bfc3bca9ceb770ce7ef1ad">channel_combine.cl</a>
</li>
<li>channel_combine_YUYV422()
: <a class="el" href="channel__combine_8cl.xhtml#a410770921ba530aaf00498478ff7f475">channel_combine.cl</a>
</li>
<li>channel_extract_NV12()
: <a class="el" href="channel__extract_8cl.xhtml#a5dc3971835f11066639e63f02545932b">channel_extract.cl</a>
</li>
<li>channel_extract_NV21()
: <a class="el" href="channel__extract_8cl.xhtml#a628f0c1a3a80b8dc275ad0ca877e3833">channel_extract.cl</a>
</li>
<li>channel_extract_RGB888()
: <a class="el" href="channel__extract_8cl.xhtml#aeecb8084159259d10790df3e0a602cbf">channel_extract.cl</a>
</li>
<li>channel_extract_RGBA8888()
: <a class="el" href="channel__extract_8cl.xhtml#ae133ea6ea26771fc36a31d0a3d783077">channel_extract.cl</a>
</li>
<li>channel_extract_UYVY422()
: <a class="el" href="channel__extract_8cl.xhtml#a3d22dccc2444106a5325b842c096486c">channel_extract.cl</a>
</li>
<li>channel_extract_YUYV422()
: <a class="el" href="channel__extract_8cl.xhtml#a6f8110fd6923dfc2db9daf1f3ed92435">channel_extract.cl</a>
</li>
<li>CHECK_CORNER
: <a class="el" href="fast__corners_8cl.xhtml#a2e2df45f46c673a1a5a1c8f4eb06aa09">fast_corners.cl</a>
</li>
<li>check_pixel
: <a class="el" href="canny_8cl.xhtml#a64ee229d1bcee88c8017356d5d485650">canny.cl</a>
</li>
<li>CL_HPP_CL_1_2_DEFAULT_BUILD
: <a class="el" href="_open_c_l_8h.xhtml#a68d54dc532d47c93108cfcdf8c415e43">OpenCL.h</a>
</li>
<li>CL_HPP_ENABLE_EXCEPTIONS
: <a class="el" href="_open_c_l_8h.xhtml#ae7c96c1469662004d842704e2ff076fb">OpenCL.h</a>
</li>
<li>CL_HPP_MINIMUM_OPENCL_VERSION
: <a class="el" href="_open_c_l_8h.xhtml#a2053025c576bcf48e249dd20e884a560">OpenCL.h</a>
</li>
<li>CL_HPP_TARGET_OPENCL_VERSION
: <a class="el" href="_open_c_l_8h.xhtml#a37ea07405ca286c1570612b42d43b345">OpenCL.h</a>
</li>
<li>CLAMP
: <a class="el" href="helpers_8h.xhtml#aabdbe431f2713c5c2604cb9872b66aab">helpers.h</a>
</li>
<li>clamp_to_border()
: <a class="el" href="warp__helpers_8h.xhtml#adbdf2ca9e8fe0b67f9359929ef743126">warp_helpers.h</a>
</li>
<li>col2im()
: <a class="el" href="convolution__layer_8cl.xhtml#af11bad06b2f7c26cc6ee2f93add5dcbf">convolution_layer.cl</a>
</li>
<li>combine_gradients_L1()
: <a class="el" href="canny_8cl.xhtml#a92f95668118a1bc6ef0eed965dfd570f">canny.cl</a>
</li>
<li>combine_gradients_L2()
: <a class="el" href="canny_8cl.xhtml#a7046357526e2f95a34e3ffa217752d9f">canny.cl</a>
</li>
<li>compute_strength()
: <a class="el" href="fast__corners_8cl.xhtml#aea4e2a64dfdec6a9ecf62f8cd518fc17">fast_corners.cl</a>
</li>
<li>COMPUTE_TYPE
: <a class="el" href="convolution5x5_8cl.xhtml#a26babb0c719990ecbdf3abc6de920875">convolution5x5.cl</a>
, <a class="el" href="convolution7x7_8cl.xhtml#a26babb0c719990ecbdf3abc6de920875">convolution7x7.cl</a>
, <a class="el" href="convolution9x9_8cl.xhtml#a26babb0c719990ecbdf3abc6de920875">convolution9x9.cl</a>
</li>
<li>CONVERT
: <a class="el" href="helpers_8h.xhtml#aa8d95ba04fc73845abc6045952cae5be">helpers.h</a>
</li>
<li>convert_depth_down()
: <a class="el" href="depth__convert_8cl.xhtml#aab970e69ff53ae814fae772df4ae9c2d">depth_convert.cl</a>
</li>
<li>convert_depth_up()
: <a class="el" href="depth__convert_8cl.xhtml#ae2f96efadb55c92fe506140c36b6b25d">depth_convert.cl</a>
</li>
<li>CONVERT_DOWN
: <a class="el" href="depth__convert_8cl.xhtml#a5b0d9908c0af31eaa7a31d0b5cf8e56d">depth_convert.cl</a>
</li>
<li>CONVERT_OP_FLOAT
: <a class="el" href="pixelwise__mul__float_8cl.xhtml#ae564a6abd6049a086c7933daa40c8eb8">pixelwise_mul_float.cl</a>
</li>
<li>CONVERT_OP_FLOAT_STR
: <a class="el" href="pixelwise__mul__float_8cl.xhtml#aa79b968718a9e073dd6f14a15a6f3e8b">pixelwise_mul_float.cl</a>
</li>
<li>CONVERT_OP_INT
: <a class="el" href="pixelwise__mul__int_8cl.xhtml#a478b722e2fd0948edb821254c5ee00e4">pixelwise_mul_int.cl</a>
</li>
<li>CONVERT_OP_INT_STR
: <a class="el" href="pixelwise__mul__int_8cl.xhtml#a31d9b9d3d2578e81049a045f6e11f78e">pixelwise_mul_int.cl</a>
</li>
<li>CONVERT_SAT
: <a class="el" href="helpers_8h.xhtml#a23fb01b6f3453cc0e48a026fd44f6acd">helpers.h</a>
</li>
<li>CONVERT_SAT_ROUND
: <a class="el" href="helpers_8h.xhtml#a28b2b123792a5b11a32cb05a6d327437">helpers.h</a>
</li>
<li>CONVERT_SAT_ROUND_STR
: <a class="el" href="helpers_8h.xhtml#a341a0c28698c3f6bd171df1771c5a512">helpers.h</a>
</li>
<li>CONVERT_SAT_STR
: <a class="el" href="helpers_8h.xhtml#a4e0fc93c9a69863dcdf7672ab547026c">helpers.h</a>
</li>
<li>CONVERT_STR
: <a class="el" href="helpers_8h.xhtml#a4090567b3adb034c7cc1af308cb45670">helpers.h</a>
</li>
<li>CONVERT_TO_IMAGE_STRUCT
: <a class="el" href="helpers_8h.xhtml#aebe814363556c244be043b13e7969197">helpers.h</a>
</li>
<li>CONVERT_TO_IMAGE_STRUCT_NO_STEP
: <a class="el" href="helpers_8h.xhtml#a4334a4a76f8e9628c0fb9e1acf616e2a">helpers.h</a>
</li>
<li>CONVERT_TO_TENSOR3D_STRUCT
: <a class="el" href="helpers_8h.xhtml#a31c8c760f08fb1a331b16b7c204321dc">helpers.h</a>
</li>
<li>CONVERT_TO_TENSOR3D_STRUCT_NO_STEP
: <a class="el" href="helpers_8h.xhtml#a79e8e562daa6599317d2d1cd86ef1bf2">helpers.h</a>
</li>
<li>CONVERT_TO_VECTOR_STRUCT
: <a class="el" href="helpers_8h.xhtml#a527bfdf5eeb306f1cf01c4a8e29f38e0">helpers.h</a>
</li>
<li>CONVERT_TO_VECTOR_STRUCT_NO_STEP
: <a class="el" href="helpers_8h.xhtml#a64d779f80eeb923e0ab2313433f7b40b">helpers.h</a>
</li>
<li>convolution1x3()
: <a class="el" href="convolution3x3_8cl.xhtml#a92702074338198e81a46c3e309d9b04f">convolution3x3.cl</a>
</li>
<li>convolution1x5()
: <a class="el" href="convolution5x5_8cl.xhtml#abd315efadde56274531a8b2bdb43f688">convolution5x5.cl</a>
</li>
<li>convolution1x7()
: <a class="el" href="convolution7x7_8cl.xhtml#a7cedca46bfb1e16a870477a88ce93b9c">convolution7x7.cl</a>
</li>
<li>convolution1x9()
: <a class="el" href="convolution9x9_8cl.xhtml#a4dee2ac27c2b32072c6f88998be20f77">convolution9x9.cl</a>
</li>
<li>convolution3x3()
: <a class="el" href="convolution3x3_8cl.xhtml#afc5fefe72e66f0ae5191fd5b708fade9">convolution3x3.cl</a>
</li>
<li>convolution3x3_static()
: <a class="el" href="convolution3x3_8cl.xhtml#aa0b80492bb4faef0b052d95a8aa147e4">convolution3x3.cl</a>
</li>
<li>convolution5x1()
: <a class="el" href="convolution5x5_8cl.xhtml#af8d82290182db5e89de313121bbb22d2">convolution5x5.cl</a>
</li>
<li>convolution5x5()
: <a class="el" href="convolution5x5_8cl.xhtml#ac80109c09492de142b4b7498f2fc6abb">convolution5x5.cl</a>
</li>
<li>convolution5x5_static()
: <a class="el" href="convolution5x5_8cl.xhtml#a643ab36ceadc54b36cb5b73ef0154913">convolution5x5.cl</a>
</li>
<li>convolution7x1()
: <a class="el" href="convolution7x7_8cl.xhtml#a8946e11bc6019e8dd7d06b00d27a5b1b">convolution7x7.cl</a>
</li>
<li>convolution7x7()
: <a class="el" href="convolution7x7_8cl.xhtml#abda5491f14bab2d88026e3174a2151c2">convolution7x7.cl</a>
</li>
<li>convolution7x7_static()
: <a class="el" href="convolution7x7_8cl.xhtml#aac65ae3322d90d7b270614f331ef600e">convolution7x7.cl</a>
</li>
<li>convolution9x1()
: <a class="el" href="convolution9x9_8cl.xhtml#ae8ed083f963d8f868df868c090062877">convolution9x9.cl</a>
</li>
<li>convolution9x9()
: <a class="el" href="convolution9x9_8cl.xhtml#a3063e4ad24c780785326a1e0e776d5f5">convolution9x9.cl</a>
</li>
<li>convolution9x9_static()
: <a class="el" href="convolution9x9_8cl.xhtml#aa63067ca6091c7190c01fd037f5f2199">convolution9x9.cl</a>
</li>
<li>convolution_rectangle()
: <a class="el" href="convolution__rectangle_8cl.xhtml#aef481f37792858a126de9374b10df7ea">convolution_rectangle.cl</a>
</li>
<li>convolution_separable1x5_static()
: <a class="el" href="convolution5x5_8cl.xhtml#a59312d2415e9c4baa221da9394ea4e3c">convolution5x5.cl</a>
</li>
<li>convolution_separable1x7_static()
: <a class="el" href="convolution7x7_8cl.xhtml#af82c3330f3fbf7caa9229ffd9a4149fb">convolution7x7.cl</a>
</li>
<li>convolution_separable1x9_static()
: <a class="el" href="convolution9x9_8cl.xhtml#ab34cfd0b9595e0cc56a8d8f72167183b">convolution9x9.cl</a>
</li>
<li>convolution_separable5x1_static()
: <a class="el" href="convolution5x5_8cl.xhtml#afafa1a261166012b37a2cae3130b6b33">convolution5x5.cl</a>
</li>
<li>convolution_separable7x1_static()
: <a class="el" href="convolution7x7_8cl.xhtml#a27d964d8bf6620c7e9960e895df40ade">convolution7x7.cl</a>
</li>
<li>convolution_separable9x1_static()
: <a class="el" href="convolution9x9_8cl.xhtml#ae1941d028c5183ce9c021a8428dbc494">convolution9x9.cl</a>
</li>
<li>Coordinates2D
: <a class="el" href="types_8h.xhtml#a01e5153f1ee101314312c0885a1dc968">types.h</a>
</li>
<li>copy_plane()
: <a class="el" href="channel__extract_8cl.xhtml#a8b54e12b0c19a206a73ade8e8bed82f3">channel_extract.cl</a>
</li>
<li>copy_planes_3p()
: <a class="el" href="channel__combine_8cl.xhtml#a2ecdd5708954da1196aa12856e78a462">channel_combine.cl</a>
</li>
<li>copy_to_keypoint()
: <a class="el" href="fast__corners_8cl.xhtml#ad1e2ee5ba250337a4e1889423e11aa81">fast_corners.cl</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:11 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
